io.undertow.server.handlers

## Enum CookieSameSiteMode

- java.lang.Object
- - java.lang.Enum<CookieSameSiteMode>
  - - io.undertow.server.handlers.CookieSameSiteMode

All Implemented Interfaces:
  Serializable, Comparable<CookieSameSiteMode>

    public enum CookieSameSiteMode
    extends Enum<CookieSameSiteMode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LAX` Same-site cookies are withheld on cross-site subrequests, such as calls to load images or frames, but will be sent when a user navigates to the URL from an external site; for example, by following a link.
`NONE` The browser will send cookies with both cross-site requests and same-site requests.
`STRICT` The browser will only send cookies for same-site requests (requests originating from the site that set the cookie).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `lookupModeString(String mode)` lookup from the specified value and return a correct SameSiteMode string.
`String` `toString()`
`static CookieSameSiteMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CookieSameSiteMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRICT

    public static final CookieSameSiteMode STRICT

The browser will only send cookies for same-site requests (requests originating from the site that set the cookie). If the request originated from a different URL than the URL of the current location, none of the cookies tagged with the Strict attribute will be included.

#### LAX

    public static final CookieSameSiteMode LAX

Same-site cookies are withheld on cross-site subrequests, such as calls to load images or frames, but will be sent when a user navigates to the URL from an external site; for example, by following a link.

#### NONE

    public static final CookieSameSiteMode NONE

The browser will send cookies with both cross-site requests and same-site requests.

### Method Detail

#### values

    public static CookieSameSiteMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CookieSameSiteMode c : CookieSameSiteMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CookieSameSiteMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### lookupModeString

    public static String lookupModeString(String mode)

lookup from the specified value and return a correct SameSiteMode string.

Parameters:
  `mode` -
Returns:
  A name of SameSite mode. Returns `null` if an invalid SameSite mode is specified.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<CookieSameSiteMode>`